Types representing directions and locations in 2d and 3d space.

NOTE: `Vec3`, `Vec3Int`, and `Direction3` don't exist yet. Coming soon!

This crate contains 6 major types:
 - `Vec2`, a 2d float vector
 - `Vec2Int`, a 2d integer vector
 - `Direction2`, a 2d cardinal direction
 - `Vec3`, a 3d float vector (TODO)
 - `Vec3Int`, a 3d integer vector (TODO)
 - `Direction3`, a 3d cardinal direction (TODO)

All the types implement the expected `From`s and all the relevant operator traits.